<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHoseaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hosea', function (Blueprint $table) {
            $table->id();
            $table->timestamps();

            $table->string('store_name');
            $table->text('image')->nullable();
            $table->string('city')->nullable();
            $table->json('opening_hours')->nullable();
            $table->string('maps_link')->nullable();
            $table->text('related_article')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('hosea');
    }
}
